.dx-button-mode-contained.dx-state-hover,
.dx-button-mode-contained.dx-state-active,
.dx-button-mode-contained.dx-state-focused {
  border-color: transparent;
}

dx-button.dx-button-mode-contained{
  height: 32px;
  border-radius: 2px;
  transition: all 0.2s linear;
  min-width: 64px;
  border-color: transparent;
  font-weight: 600;
  width: fit-content;

}

dx-button.dx-button-mode-contained .dx-button-content {
  display: flex;
  align-items: center;
  justify-content: center;
  padding: 0 16px;
}

.dx-button-mode-contained.pp-button-primary {
  background-color: #1b60e5;
  color: #fff;

}


.dx-button-mode-contained.pp-button-primary:hover {
  background-color: #0044c7;
}
.dx-button-mode-contained.pp-button-primary:focus {
  box-shadow: 0px 0px 4px #0044c7;
}
.dx-button-mode-contained.pp-button-primary:disabled {
  background-color: #a6c5ff;
}





.dx-button-mode-contained.pp-button-warning{
  background-color: #C81922;
  color: #fff;
}
.dx-button-mode-contained.pp-button-warning:hover{
  background-color: #A51D25;

}
.dx-button-mode-contained.pp-button-warning:focus{
  box-shadow: 0px 0px 4px #BCBFBF;
}
.dx-button-mode-contained.pp-button-warning:disabled{
  background-color: #E38B90;
}

.dx-button-mode-contained.pp-button-secondary{
  background-color: #D2D4D4;
  color: #3F4444;
}
.dx-button-mode-contained.pp-button-secondary:hover{
  background-color: #BCBFBF;

}
.dx-button-mode-contained.pp-button-secondary:focus{
  box-shadow: 0px 0px 4px #BCBFBF;
}
.dx-button-mode-contained.pp-button-secondary:disabled{
  background-color: #E9EAEA;
}




.dx-button-mode-contained.pp-button-tertiary{
  background-color: #fff;
  box-shadow:  inset 0 0 0 1px var(--Blue);
  color: #292C2C;
}
.dx-button-mode-contained.pp-button-tertiary:hover{
  box-shadow:  inset 0 0 0 2px var(--Blue);
}
.dx-button-mode-contained.pp-button-tertiary:focus{
  color: #636767;
  box-shadow:  inset 0 0 0 2px var(--Blue);
}
.dx-button-mode-contained.pp-button-tertiary:disabled{
  color: #909494;
}

 .dx-checkbox:not(.dx-checkbox-indeterminate).dx-state-hover .dx-checkbox-icon{
    border: 1px solid #636767;
  }
  .dx-checkbox.dx-state-focused .dx-checkbox-icon{
    border: 1px solid #909494;
  }
  .dx-checkbox .dx-checkbox-container {
    text-overflow: unset;
  }
  .dx-checkbox.dx-checkbox-indeterminate.dx-state-hover .dx-checkbox-icon{
    border: none;
  }

  dx-check-box{
    position: relative;
  }

  .dx-checkbox .dx-checkbox-icon {
    width: 16px;
    height: 16px;
    border: 1px solid #909494;
    transition: all 0.2s linear;
    margin: 4px;
  }
  .dx-checkbox .dx-checkbox-icon:hover {
    border: 1px solid #636767;
  }

  .dx-checkbox.dx-state-focused .dx-checkbox-icon {
    box-shadow: 0px 0px 0px 2px #fff, 0px 0px 0px 3px #1b60e5, 0px 0px 2px 3.5px rgb(27 96 229 / 50%);
  }
  .dx-checkbox.dx-state-active .dx-checkbox-icon{
    background-color: transparent;
  }

  .dx-checkbox-indeterminate.dx-state-active .dx-checkbox-icon,
  .dx-checkbox-indeterminate.dx-state-focused .dx-checkbox-icon {
    background-color: #1b60e5;

  }
  .dx-checkbox-checked .dx-checkbox-icon {
    color: #fff;
    width: 16px;
    height: 16px;
    background-color: #1b60e5;
    border: 1px solid transparent;
    font-size: 14px !important;
    transition: all 0.2s linear;
  }
  .dx-checkbox-checked .dx-checkbox-icon:hover {
    background-color: #0044c7;
  }

  .dx-checkbox-indeterminate .dx-checkbox-icon {
    border: none;
    background-color: #1b60e5;
  }
  .dx-checkbox-indeterminate .dx-checkbox-icon:hover {
    background-color: #0044c7;
    border: none;
  }
  .dx-checkbox-indeterminate .dx-checkbox-icon::before {
    width: 10px;
    background-color: #fff;
    border-radius: 0;
    height: 2px;
    content: "";
    margin: auto;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
  }
	
	.pp-checkbox {
	 display: flex;
	 gap: 4px;
}
 .pp-checkbox dx-check-box {
	 margin: 0;
}
 .pp-checkbox > span.checkbox-text {
	 display: flex;
	 align-items: center;
	 line-height: 24px;
}

  .dx-radiobutton[aria-selected="true"] .dx-radiobutton-icon::before {
    width: 16px;
    height: 16px;
    border: 2px solid #1B60E5;
    transition: all .2s linear;
  }
  .dx-radiobutton[aria-selected="true"] .dx-radiobutton-icon-dot {
    margin-top: -15px;
    margin-left: 5px;
    background: #1B60E5;
    transition: all .2s linear;
  }
  .dx-radiobutton.dx-state-focused:not(.dx-state-active) .dx-radiobutton-icon::before{
    border: 2px solid #1B60E5;
  }
  .dx-radiobutton[aria-selected="false"] .dx-radiobutton-icon::before {
    width: 16px;
    height: 16px;
    border: 2px solid #909494;
    transition: all .2s linear;
  }
  .dx-radiobutton[aria-selected="false"].dx-state-focused .dx-radiobutton-icon::before{
    box-shadow: 0px 0px 0px 2px #fff, 0px 0px 0px 3px #1b60e5, 0px 0px 2px 3.5px rgb(27 96 229 / 50%);

  }
  .dx-radiobutton[aria-selected="false"].dx-state-hover .dx-radiobutton-icon::before{
    border-color: #636767;
  }
  .dx-radiobutton[aria-selected="true"].dx-state-hover .dx-radiobutton-icon::before{
    border-color: #0044C7;
  }
  .dx-radiobutton[aria-selected="true"].dx-state-hover .dx-radiobutton-icon-dot{
    background: #0044C7;
  }
  .dx-radiobutton.dx-state-active .dx-radiobutton-icon::before{
    background-color: transparent;
  }
  .dx-radiobutton{
    position: relative;
  }
  .dx-radiobutton:active::after{
    border: 1px solid #1B60E5;

  }

:root { 
  --PP_Yellow: #f6be00;
  --PP_DarkGray: #3f4444;
  --PP_LightGray: #f2f2f2;
  --Gray7: #292c2c;
  --Gray6: #636767;
  --Gray5: #909494;
  --Gray4: #bcbfbf;
  --Gray3: #d2d4d4;
  --Gray2: #e9eaea;
  --DarkBlue: #0044c7;
  --Blue: #1b60e5;
  --PaleBlue: #a6c5ff;
  --PalestBlue: #e9f1ff;
}

.pp-data-table .dx-datagrid .dx-column-lines > td:not([role="columnheader"]) {
    border-left: 1px solid rgba(233, 234, 234, 1);
    border-right: 1px solid rgba(233, 234, 234, 1);
  }
  .pp-data-table td[role="columnheader"] {
    border-left: 1px solid rgba(210, 212, 212, 1);
    border-right: 1px solid rgba(210, 212, 212, 1);
  }
  .pp-data-table .dx-datagrid-rowsview .dx-row {
    height: 32px;
  }
  .pp-data-table
    .dx-datagrid-content
    .dx-datagrid-table
    .dx-row
    > td,
  .dx-datagrid-content .dx-datagrid-table .dx-row > tr > td {
    vertical-align: middle;
  }
  .pp-data-table .dx-datagrid-headers tr {
    height: 24px;
  }
  .pp-data-table .dx-datagrid-headers .dx-header-filter{
    font: 10px/1 DXIcons;
  }
  .pp-data-table .dx-datagrid-headers .dx-datagrid-content tr td {
    background-color: #f2f2f2;
    color: #636767;
    font-family: Open Sans;
    font-weight: 600;
    font-size: 12px;
    letter-spacing: 0.016px;
  }
  .pp-data-table .dx-datagrid-table tr td {
    color: rgba(63, 68, 68, 1);
    font-family: Open Sans;
    font-size: 14px;
    letter-spacing: 0.009px;
  }
  .pp-data-table .dx-datagrid-headers {
    border-bottom: none;
  }
  .dx-datagrid-borders > .dx-datagrid-filter-panel,
  .dx-datagrid-borders > .dx-datagrid-headers,
  .dx-datagrid-borders > .dx-datagrid-pager {
    border-top: 1px solid #d2d4d4;
  }
  .dx-datagrid-borders > .dx-datagrid-headers,
  .dx-datagrid-borders > .dx-datagrid-rowsview,
  .dx-datagrid-borders > .dx-datagrid-total-footer {
    border-left: 1px solid #d2d4d4;
    border-right: 1px solid #d2d4d4;
  }
  .dx-datagrid-borders .dx-datagrid-rowsview,
  .dx-datagrid-headers + .dx-datagrid-rowsview {
    border-top: 1px solid #d2d4d4;
  }
  .pp-data-table .dx-datagrid-borders > .dx-datagrid-rowsview,
  .pp-data-table .dx-datagrid-borders > .dx-datagrid-total-footer {
    border-bottom: 1px solid #d2d4d4;
  }
  .pp-data-table
    .dx-datagrid-rowsview
    .dx-datagrid-content
    .dx-datagrid-table
    .dx-row:not(.dx-row-focused):hover td {
      background-color: #e9f1ff;
    }
    
  
  .pp-data-table .dx-datagrid-rowsview
    .dx-row-focused.dx-data-row
    .dx-command-edit:not(.dx-focused)
    .dx-link,
  .pp-data-table .dx-datagrid-rowsview .dx-row-focused.dx-data-row > td:not(.dx-focused),
  .pp-data-table .dx-datagrid-rowsview .dx-row-focused.dx-data-row > tr > td:not(.dx-focused) {
    background-color: #a6c5ff;
    text-shadow: 0 0 0.9px #333, 0 0 0.9px #333, 0 0 0.9px #333;
    color: #3f4444;
  }
  .pp-data-table .dx-datagrid-rowsview .dx-row-focused.dx-data-row:not(.dx-row-lines) > td,
  .pp-data-table .dx-datagrid-rowsview
    .dx-row-focused.dx-data-row:not(.dx-row-lines)
    > tr:first-child
    > td {
    border-top: 1px solid #a6c5ff;
    border-bottom: 1px solid #a6c5ff;
  }
  .pp-data-table .dx-datagrid .dx-row > td {
    padding: 0 8px 0 8px;
  }
  .pp-data-table .dx-datagrid-rowsview .dx-row {
    border-top: 1px solid rgba(233, 234, 234, 1);
    border-bottom: 1px solid rgba(233, 234, 234, 1);
  }
  .pp-data-table .dx-datagrid-rowsview .dx-row:first-child {
    border-top: none;
  }
  .pp-data-table .dx-datagrid-rowsview .dx-row:nth-last-child(-n+2) {
    border-bottom: none;
  }
  .pp-data-table .dx-datagrid-focus-overlay{
    border: none;
  }
  .pp-data-table .dx-datagrid-table tr.dx-column-lines td.dx-editor-cell.dx-focused .dx-texteditor-container{
    border: 1px solid #1B60E6;
    height: 31px;
  }
  .pp-data-table .dx-texteditor-input-container{
    height: 31px;
  }
  .pp-data-table .dx-datagrid-headers .dx-texteditor-input, .dx-datagrid-rowsview .dx-texteditor-input{
    min-height: 31px;
  }
  .pp-data-table .dx-texteditor-input-container input{
    padding: 0;
    padding-left: 8px;
    font-family: Open Sans;
  }

dx-data-grid.pp-data-table .dx-datagrid .dx-column-lines > td:not([role="columnheader"]) {
    border-left: 1px solid rgba(233, 234, 234, 1);
    border-right: 1px solid rgba(233, 234, 234, 1);
  }
  dx-data-grid.pp-data-table td[role="columnheader"] {
    border-left: 1px solid rgba(210, 212, 212, 1);
    border-right: 1px solid rgba(210, 212, 212, 1);
  }
  dx-data-grid.pp-data-table .dx-datagrid-rowsview .dx-row {
    height: 32px;
  }
  dx-data-grid.pp-data-table
    .dx-datagrid-content
    .dx-datagrid-table
    .dx-row
    > td,
  .dx-datagrid-content .dx-datagrid-table .dx-row > tr > td {
    vertical-align: middle;
  }
  dx-data-grid.pp-data-table .dx-datagrid-headers tr {
    height: 24px;
  }
  dx-data-grid.pp-data-table .dx-datagrid-headers .dx-header-filter{
    font: 10px/1 DXIcons;
  }
  dx-data-grid.pp-data-table .dx-datagrid-headers .dx-datagrid-content tr td {
    background-color: #f2f2f2;
    color: #636767;
    font-family: Open Sans;
    font-weight: 600;
    font-size: 12px;
    letter-spacing: 0.016px;
  }
  dx-data-grid.pp-data-table .dx-datagrid-table tr td {
    color: rgba(63, 68, 68, 1);
    font-family: Open Sans;
    font-size: 14px;
    letter-spacing: 0.009px;
  }
  dx-data-grid.pp-data-table .dx-datagrid-headers {
    border-bottom: none;
  }
  .dx-datagrid-borders > .dx-datagrid-filter-panel,
  .dx-datagrid-borders > .dx-datagrid-headers,
  .dx-datagrid-borders > .dx-datagrid-pager {
    border-top: 1px solid #d2d4d4;
  }
  .dx-datagrid-borders > .dx-datagrid-headers,
  .dx-datagrid-borders > .dx-datagrid-rowsview,
  .dx-datagrid-borders > .dx-datagrid-total-footer {
    border-left: 1px solid #d2d4d4;
    border-right: 1px solid #d2d4d4;
  }
  .dx-datagrid-borders .dx-datagrid-rowsview,
  .dx-datagrid-headers + .dx-datagrid-rowsview {
    border-top: 1px solid #d2d4d4;
  }
  dx-data-grid.pp-data-table .dx-datagrid-borders > .dx-datagrid-rowsview,
  dx-data-grid.pp-data-table .dx-datagrid-borders > .dx-datagrid-total-footer {
    border-bottom: 1px solid #d2d4d4;
  }
  dx-data-grid.pp-data-table
    .dx-datagrid-rowsview
    .dx-datagrid-content
    .dx-datagrid-table
    .dx-row:not(.dx-row-focused):hover td {
      background-color: #e9f1ff;
    }
    
  
  dx-data-grid.pp-data-table .dx-datagrid-rowsview
    .dx-row-focused.dx-data-row
    .dx-command-edit:not(.dx-focused)
    .dx-link,
  dx-data-grid.pp-data-table .dx-datagrid-rowsview .dx-row-focused.dx-data-row > td:not(.dx-focused),
  dx-data-grid.pp-data-table .dx-datagrid-rowsview .dx-row-focused.dx-data-row > tr > td:not(.dx-focused) {
    background-color: #a6c5ff;
    text-shadow: 0 0 0.9px #333, 0 0 0.9px #333, 0 0 0.9px #333;
    color: #3f4444;
  }
  dx-data-grid.pp-data-table .dx-datagrid-rowsview .dx-row-focused.dx-data-row:not(.dx-row-lines) > td,
  dx-data-grid.pp-data-table .dx-datagrid-rowsview
    .dx-row-focused.dx-data-row:not(.dx-row-lines)
    > tr:first-child
    > td {
    border-top: 1px solid #a6c5ff;
    border-bottom: 1px solid #a6c5ff;
  }
  dx-data-grid.pp-data-table .dx-datagrid .dx-row > td {
    padding: 0 8px 0 8px;
  }
  dx-data-grid.pp-data-table .dx-datagrid-rowsview .dx-row {
    border-top: 1px solid rgba(233, 234, 234, 1);
    border-bottom: 1px solid rgba(233, 234, 234, 1);
  }
  dx-data-grid.pp-data-table .dx-datagrid-rowsview .dx-row:first-child {
    border-top: none;
  }
  dx-data-grid.pp-data-table .dx-datagrid-rowsview .dx-row:nth-last-child(-n+2) {
    border-bottom: none;
  }
  dx-data-grid.pp-data-table .dx-datagrid-focus-overlay{
    border: none;
  }
  dx-data-grid.pp-data-table .dx-datagrid-table tr.dx-column-lines td.dx-editor-cell.dx-focused .dx-texteditor-container{
    border: 1px solid #1B60E6;
    height: 31px;
  }
  dx-data-grid.pp-data-table .dx-texteditor-input-container{
    height: 31px;
  }
  dx-data-grid.pp-data-table .dx-datagrid-headers .dx-texteditor-input, .dx-datagrid-rowsview .dx-texteditor-input{
    min-height: 31px;
  }
  dx-data-grid.pp-data-table .dx-texteditor-input-container input{
    padding: 0;
    padding-left: 8px;
    font-family: 'Open Sans';
  }
.pp-data-table .dx-datagrid-content
  .dx-datagrid-table
  .dx-row
  .dx-editor-cell
  .dx-texteditor,.pp-data-table
.dx-datagrid-content
  .dx-datagrid-table
  .dx-row
  .dx-editor-cell
  .dx-texteditor-container {
  max-height: 31px;
}
  

  dx-data-grid.pp-data-table
    .dx-datagrid-rowsview
    .dx-row-focused.dx-data-row:not(.dx-row-lines)
    > td::selection,
  dx-data-grid.pp-data-table
    .dx-datagrid-rowsview
    .dx-row-focused.dx-data-row:not(.dx-row-lines)
    > tr:first-child
    > td::selection {
    background-color: #f6be00;

  }

  dx-data-grid.pp-data-table .dx-texteditor-input-container input::selection {
    background-color: #f6be00;
  }

input.pp-input {
    height: 32px;
    border: 1px solid rgba(210, 212, 212, 1);
    transition: all 0.2s linear;
    padding-left: 8px;
    font-size: 14px;
    font-family: Open Sans;
    letter-spacing: 0.009px;
    color: #3f4444;
  }
  input.pp-input:hover {
    box-shadow: 0px 0px 4px #d2d4d4;
  }
  input.pp-input:active,
  input.pp-input:focus {
    border: 1px solid rgba(0, 68, 199, 1);
    outline: none !important;
  }
  input.pp-input::placeholder {
    color: rgba(144, 148, 148, 1);
    font-style: italic;
    font-family: Open Sans;
    font-size: 14px;
    font-family: Open Sans;
    letter-spacing: 0.009px;
  }
  input.pp-input:disabled {
    background-color: rgba(242, 242, 242, 1);
  }
  input.pp-input:disabled::placeholder {
    color: #bcbfbf;
  }
  label {
    margin-top: 8px;
    margin-bottom: 8px;
  }

  label.pp-label {
    display: flex;
    flex-direction: column;
    font-size: 10px;
    font-family: "Open Sans";
    font-weight: 600;
    letter-spacing: 0.03px;
    color: #3f4444;
}

  dx-data-grid.pp-list-table .dx-datagrid .dx-column-lines > td {
    border-left: none;
    border-right: none;
  }
  dx-data-grid.pp-list-table .dx-datagrid-rowsview .dx-row {
    height: 48px;
  }
  dx-data-grid.pp-list-table
    .dx-datagrid-content
    .dx-datagrid-table
    .dx-row
    > td,
  .dx-datagrid-content .dx-datagrid-table .dx-row > tr > td {
    vertical-align: middle;
  }
  dx-data-grid.pp-list-table .dx-datagrid-headers tr {
    height: 40px;
  }
  dx-data-grid.pp-list-table .dx-datagrid-headers .dx-datagrid-content tr td {
    background-color: #f2f2f2;
    color: #636767;
    font-family: Open Sans;
    font-weight: 600;
    font-size: 12px;
    letter-spacing: 0.016px;
  }
  dx-data-grid.pp-list-table .dx-datagrid-table tr td {
    color: rgba(63, 68, 68, 1);
    font-family: Open Sans;
    font-size: 14px;
    letter-spacing: 0.009px;
  }
  dx-data-grid.pp-list-table .dx-datagrid-headers {
    border-bottom: none;
  }
  .dx-datagrid-borders > .dx-datagrid-filter-panel,
  .dx-datagrid-borders > .dx-datagrid-headers,
  .dx-datagrid-borders > .dx-datagrid-pager {
    border-top: 1px solid #d2d4d4;
  }
  .dx-datagrid-borders > .dx-datagrid-headers,
  .dx-datagrid-borders > .dx-datagrid-rowsview,
  .dx-datagrid-borders > .dx-datagrid-total-footer {
    border-left: 1px solid #d2d4d4;
    border-right: 1px solid #d2d4d4;
  }
  .dx-datagrid-borders .dx-datagrid-rowsview,
  .dx-datagrid-headers + .dx-datagrid-rowsview {
    border-top: 1px solid #d2d4d4;
  }
  dx-data-grid.pp-list-table .dx-datagrid-borders > .dx-datagrid-rowsview,
  dx-data-grid.pp-list-table .dx-datagrid-borders > .dx-datagrid-total-footer {
    border-bottom: 1px solid #d2d4d4;
  }
  dx-data-grid.pp-list-table
    .dx-datagrid-rowsview
    .dx-datagrid-content
    .dx-datagrid-table
    .dx-row:not(.dx-row-focused):hover td {
      background-color: #e9f1ff;
    }


  dx-data-grid.pp-list-table .dx-datagrid-rowsview
    .dx-row-focused.dx-data-row
    .dx-command-edit:not(.dx-focused)
    .dx-link,
  dx-data-grid.pp-list-table .dx-datagrid-rowsview .dx-row-focused.dx-data-row > td:not(.dx-focused),
  dx-data-grid.pp-list-table .dx-datagrid-rowsview .dx-row-focused.dx-data-row > tr > td:not(.dx-focused) {
    background-color: #a6c5ff;
    text-shadow: 0 0 0.9px #333, 0 0 0.9px #333, 0 0 0.9px #333;
    color: #3f4444;
  }
  dx-data-grid.pp-list-table .dx-datagrid-rowsview .dx-row-focused.dx-data-row:not(.dx-row-lines) > td,
  dx-data-grid.pp-list-table .dx-datagrid-rowsview
    .dx-row-focused.dx-data-row:not(.dx-row-lines)
    > tr:first-child
    > td {
    border-top: 1px solid #a6c5ff;
    border-bottom: 1px solid #a6c5ff;
  }
  dx-data-grid.pp-list-table .dx-datagrid .dx-row > td {
    padding: 0 48px 0 16px;
  }
  dx-data-grid.pp-list-table .dx-datagrid-rowsview .dx-row {
    border-top: 1px solid rgba(233, 234, 234, 1);
    border-bottom: 1px solid rgba(233, 234, 234, 1);
  }
  dx-data-grid.pp-list-table .dx-datagrid-rowsview .dx-row:first-child {
    border-top: none;
  }
  dx-data-grid.pp-list-table .dx-datagrid-rowsview .dx-row:nth-last-child(-n+2) {
    border-bottom: none;
  }

 .pp-list-table .dx-datagrid .dx-column-lines > td {
    border-left: none;
    border-right: none;
  }
  .pp-list-table .dx-datagrid-rowsview .dx-row {
    height: 48px;
  }
  .pp-list-table
    .dx-datagrid-content
    .dx-datagrid-table
    .dx-row
    > td,
  .dx-datagrid-content .dx-datagrid-table .dx-row > tr > td {
    vertical-align: middle;
  }
  .pp-list-table .dx-datagrid-headers tr {
    height: 40px;
  }
  .pp-list-table .dx-datagrid-headers .dx-datagrid-content tr td {
    background-color: #f2f2f2;
    color: #636767;
    font-family: 'Open Sans';
    font-weight: 600;
    font-size: 12px;
    letter-spacing: 0.016px;
  }
  .pp-list-table .dx-datagrid-table tr td {
    color: rgba(63, 68, 68, 1);
    font-family: 'Open Sans';
    font-size: 14px;
    letter-spacing: 0.009px;
  }
  .pp-list-table .dx-datagrid-headers {
    border-bottom: none;
  }
  .dx-datagrid-borders > .dx-datagrid-filter-panel,
  .dx-datagrid-borders > .dx-datagrid-headers,
  .dx-datagrid-borders > .dx-datagrid-pager {
    border-top: 1px solid #d2d4d4;
  }
  .dx-datagrid-borders > .dx-datagrid-headers,
  .dx-datagrid-borders > .dx-datagrid-rowsview,
  .dx-datagrid-borders > .dx-datagrid-total-footer {
    border-left: 1px solid #d2d4d4;
    border-right: 1px solid #d2d4d4;
  }
  .dx-datagrid-borders .dx-datagrid-rowsview,
  .dx-datagrid-headers + .dx-datagrid-rowsview {
    border-top: 1px solid #d2d4d4;
  }
  .pp-list-table .dx-datagrid-borders > .dx-datagrid-rowsview,
  .pp-list-table .dx-datagrid-borders > .dx-datagrid-total-footer {
    border-bottom: 1px solid #d2d4d4;
  }
  .pp-list-table
    .dx-datagrid-rowsview
    .dx-datagrid-content
    .dx-datagrid-table
    .dx-row:not(.dx-row-focused):hover td {
      background-color: #e9f1ff;
    }


  .pp-list-table .dx-datagrid-rowsview
    .dx-row-focused.dx-data-row
    .dx-command-edit:not(.dx-focused)
    .dx-link,
  .pp-list-table .dx-datagrid-rowsview .dx-row-focused.dx-data-row > td:not(.dx-focused),
  .pp-list-table .dx-datagrid-rowsview .dx-row-focused.dx-data-row > tr > td:not(.dx-focused) {
    background-color: #a6c5ff;
    text-shadow: 0 0 0.9px #333, 0 0 0.9px #333, 0 0 0.9px #333;
    color: #3f4444;
  }
  .pp-list-table .dx-datagrid-rowsview .dx-row-focused.dx-data-row:not(.dx-row-lines) > td,
  .pp-list-table .dx-datagrid-rowsview
    .dx-row-focused.dx-data-row:not(.dx-row-lines)
    > tr:first-child
    > td {
    border-top: 1px solid #a6c5ff;
    border-bottom: 1px solid #a6c5ff;
  }
  .pp-list-table .dx-datagrid .dx-row > td {
    padding: 0 48px 0 16px;
  }
  .pp-list-table .dx-datagrid-rowsview .dx-row {
    border-top: 1px solid rgba(233, 234, 234, 1);
    border-bottom: 1px solid rgba(233, 234, 234, 1);
  }
  .pp-list-table .dx-datagrid-rowsview .dx-row:first-child {
    border-top: none;
  }
  .pp-list-table .dx-datagrid-rowsview .dx-row:nth-last-child(-n+2) {
    border-bottom: none;
  }
dx-data-grid.pp-list-table
    .dx-datagrid-rowsview
    .dx-row-focused.dx-data-row:not(.dx-row-lines)
    > td::selection,
  dx-data-grid.pp-list-table
    .dx-datagrid-rowsview
    .dx-row-focused.dx-data-row:not(.dx-row-lines)
    > tr:first-child
    > td::selection {
    background-color: #f6be00;
  }

.dx-popup.pp-default-popup .dx-popup-wrapper > .dx-overlay-content {
    border-radius: 0;
    border: 0;
  }
  .dx-popup.pp-default-popup .dx-popup-title.dx-toolbar {
    padding: 14px 24px;
    height: 56px;
    background-color: rgba(63, 68, 68, 1);
    border: none;
  }
  .dx-popup.pp-default-popup
    .dx-popup-title.dx-toolbar
    .dx-toolbar-items-container {
    height: auto;
  }
  .dx-popup.pp-default-popup .dx-popup-title.dx-toolbar .dx-toolbar-label {
    font-size: 18px;
    text-transform: capitalize;
    font-weight: 600;
    color: #fff;
    letter-spacing: 0.009px;
  }

  .dx-popup.pp-default-popup .dx-button-has-icon .dx-icon {
    width: 15px;
    height: 15px;
    background-size: 15px 15px;
    line-height: 15px;
    color: #fff;
  }
  .dx-popup.pp-default-popup .dx-popup-title .dx-closebutton {
    bottom: 4px;
  }
  .dx-popup.pp-default-popup .dx-popup-content {
    padding: 0;
  }
  .dx-popup.pp-default-popup .pp-main-popup-content {
    padding: 32px 24px;
  }

  .dx-popup.pp-default-popup .pp-bottom-popup-buttons {
    height: 50px;
    box-sizing: border-box;
    border-top: 1px solid rgba(210, 212, 212, 1);
    display: flex;
    align-items: center;
    justify-content: flex-end;
    padding-right: 24px;
  }
  .dx-popup.pp-default-popup .pp-bottom-popup-buttons dx-button {
    margin-left: 8px;
  }
  .dx-popup.pp-default-popup .pp-tabs-buttons {
    width: 100%;
    height: 48px;
    display: flex;
  }
  .dx-popup.pp-default-popup .pp-tabs-buttons .pp-tab-button {
    display: flex;
    align-items: center;
    justify-content: center;
    flex-grow: 1;
    background-color: rgba(234, 233, 233, 1);
    border-right: 1px solid rgba(174, 174, 182, 1);
    border-bottom: 1px solid rgba(174, 174, 182, 1);
    color: rgba(99, 103, 103, 1);
    font-weight: 600;
    font-size: 18px;
    cursor: pointer;
  }
  .dx-popup.pp-default-popup .pp-tabs-buttons .pp-tab-button.active{
    background-color: #FFF;
    border-bottom: 2px solid rgba(27, 96, 229, 1);

  }
  .dx-popup.pp-default-popup .pp-tabs-buttons .pp-tab-button:last-child {
    border-right: none;
  }

  .dx-popup.pp-default-popup .pp-multicolumn{
    display: flex;
  }
  .dx-popup.pp-default-popup .pp-multicolumn .pp-popup-column:not(:first-child){
    margin-left: 40px;
  }
  .dx-popup.pp-default-popup .pp-main-popup-content.pp-info{
    padding: 40px 36px;
  }


 dx-select-box.pp-select-box {
    max-width: 200px;
    height: 32px;
  }

  dx-select-box.pp-select-box:not(.dx-texteditor-empty) {
    border: 1px solid #0044c7 !important;
  }
  dx-select-box.pp-select-box:not(.dx-texteditor-empty).dx-dropdowneditor-icon {
    color: #0044c7 !important;
  }
  dx-select-box.pp-select-box .dx-placeholder {
    color: #909494;
  }
  dx-select-box.pp-select-box .dx-texteditor-input-container {
    align-items: center;
  }
  dx-select-box.pp-select-box.dx-texteditor.dx-editor-outlined {
    border-radius: 0px;
    border: 1px solid #d2d4d4;
  }
  dx-select-box.pp-select-box.dx-texteditor.dx-state-hover {
    border: 1px solid #0044c7;
  }
  dx-select-box.pp-select-box.dx-texteditor.dx-state-hover
    .dx-dropdowneditor-icon {
    color: #0044c7;
  }

  dx-drop-down-button.dx-dropdownbutton-has-arrow .dx-buttongroup .dx-dropdownbutton-action .dx-button-content {
    display: flex;
    justify-content: flex-end;
    align-items: center;
    padding: 8px;
 }

 dx-drop-down-button.dx-dropdownbutton-has-arrow .dx-buttongroup .dx-dropdownbutton-action .dx-button-content .dx-button-text {
  margin-right: auto;
}
 
  dx-drop-down-button.dx-dropdownbutton-has-arrow .dx-buttongroup .dx-dropdownbutton-action .dx-button-content .dx-icon.dx-icon-right {
  color: var(--Gray6);
}

  dx-drop-down-button.dx-dropdownbutton-has-arrow .dx-buttongroup .dx-dropdownbutton-action .dx-button-content::after {
    content: unset;
 }

  dx-textbox .dx-texteditor-container {
  height: 32px;
 }
  dx-textbox .dx-texteditor-container .dx-texteditor-input {
  min-height: 32px;
 }


  .pp-select-box.dx-texteditor.dx-state-active.dx-editor-filled,
  .pp-select-box.dx-texteditor.dx-state-active.dx-editor-outlined,
  .pp-select-box.dx-texteditor.dx-state-active.dx-editor-underlined,
  .pp-select-box.dx-texteditor.dx-state-focused.dx-editor-filled,
  .pp-select-box.dx-texteditor.dx-state-focused.dx-editor-outlined,
  .pp-select-box.dx-texteditor.dx-state-focused.dx-editor-underlined {
    border-color: #d2d4d4;
    box-shadow: 0px 0px 4px #d2d4d4;
  }

  .pp-select-box.dx-texteditor.dx-state-active.dx-editor-filled
    .dx-dropdowneditor-icon,
  .pp-select-box.dx-texteditor.dx-state-active.dx-editor-outlined
    .dx-dropdowneditor-icon,
  .pp-select-box.dx-texteditor.dx-state-active.dx-editor-underlined
    .dx-dropdowneditor-icon,
  .pp-select-box.dx-texteditor.dx-state-focused.dx-editor-filled
    .dx-dropdowneditor-icon,
  .pp-select-box.dx-texteditor.dx-state-focused.dx-editor-outlined
    .dx-dropdowneditor-icon,
  .pp-select-box.dx-texteditor.dx-state-focused.dx-editor-underlined
    .dx-dropdowneditor-icon {
    color: #3f4444;
  }

  .pp-select-box .dx-selectbox-popup-wrapper .dx-list-item-content {
    white-space: normal;
  }
  .pp-select-box
    .dx-selectbox-popup-wrapper
    .dx-list:not(.dx-list-select-decorator-enabled)
    .dx-list-item.dx-state-focused {
    background-color: #e9f1ff;
    color: #3f4444;
  }
  .pp-select-box
    .dx-selectbox-popup-wrapper.dx-popup-wrapper
    > .dx-overlay-content {
    border-radius: 0;
  }
  .pp-select-box
    .dx-list:not(.dx-list-select-decorator-enabled)
    .dx-list-item.dx-state-hover {
    background-color: #e9f1ff;
    text-shadow: 0 0 0.9px #3f4444, 0 0 0.9px #3f4444, 0 0 0.9px #3f4444;
  }
  .pp-select-box .dx-selectbox-popup-wrapper .dx-item-content {
    position: relative;
    height: 40px;
    vertical-align: middle;
  }
  .pp-select-box .dx-selectbox-popup-wrapper .dx-scrollview-content {
    padding-top: 4px;
    padding-bottom: 4px;
  }
  .pp-select-box
    .dx-selectbox-popup-wrapper
    .dx-dropdownlist-popup-wrapper
    .dx-list-item {
    padding: 0 8px;
  }
  .pp-select-box .dx-list-item-selected .dx-item-content::after {
    position: absolute;
    right: 10px;
    top: 7px;
    display: inline-block;
    content: "";
    transform: rotate(45deg);
    height: 14px;
    width: 7px;
    border-bottom: 3px solid #1b60e6;
    border-right: 3px solid #1b60e6;
  }

  .pp-select-box
    .dx-list:not(.dx-list-select-decorator-enabled)
    .dx-list-item.dx-list-item-selected,
  .pp-select-box
    .dx-list:not(.dx-list-select-decorator-enabled)
    .dx-list-item.dx-state-active {
    background-color: transparent;
    color: #1b60e6;
    text-shadow: 0 0 0.9px #3f4444, 0 0 0.9px #3f4444, 0 0 0.9px #3f4444;
  }

  .pp-select-box
    .dx-list:not(.dx-list-select-decorator-enabled)
    .dx-list-item.dx-list-item-selected.dx-state-hover:not(.dx-state-focused) {
    background-color: #e9f1ff;
    color: #1b60e6;
    text-shadow: 0 0 0.9px #3f4444, 0 0 0.9px #3f4444, 0 0 0.9px #3f4444;
  }

  .pp-select-box.dx-dropdowneditor-active .dx-dropdowneditor-icon {
    color: #1b60e6 !important;
    background-color: transparent;
  }
  .pp-select-box.dx-dropdowneditor-button.dx-state-active
    .dx-dropdowneditor-icon.dx-dropdowneditor-icon::before,
  .pp-select-box.dx-dropdowneditor.dx-dropdowneditor-active
    .dx-dropdowneditor-icon.dx-dropdowneditor-icon::before {
    transform: rotate(180deg);
  }

  .pp-select-box.dx-dropdowneditor.dx-state-active .dx-dropdowneditor-icon,
  .pp-select-box.dx-dropdowneditor.dx-state-hover:not(.dx-custom-button-hovered)
    .dx-dropdowneditor-icon {
    background-color: transparent;
  }
  .pp-select-box .dx-dropdowneditor-icon {
    color: #3f4444;

    font: 26px/26px DXIcons;
  }
  .pp-select-box .dx-dropdowneditor-icon::before {
    margin-top: -12px;
    margin-left: -8px;
    width: auto;
  }
  .pp-select-box .dx-selectbox-popup-wrapper .dx-popup-content {
    padding: 0;
  }
  .pp-select-box .dx-placeholder::before {
    padding-left: 8px;
    padding-top: 4px;
  }

  .pp-select-box .dx-list-item-content::before {
    content: "";
  }

dx-tag-box.pp-multi-select-box {
    min-width: 200px;
    max-width: 200px;
    min-height: 32px;
  }
  dx-tag-box.pp-multi-select-box.dx-state-focused {
    border: 1px solid #1b60e5 !important;
  }
  .pp-multi-select-box .dx-texteditor-container {
    padding: 2px;
  }
  .pp-multi-select-box .dx-tag-container.dx-texteditor-input-container {
    padding: 0;
  }
  .pp-multi-select-box .dx-tag-content {
    margin: 2px 0 0 2px;
    padding: 4px 25px 4px 8px;
    background-color: #1b60e5;
    border-radius: 12px;
    color: #fff;
  }
  .pp-multi-select-box .dx-tag-remove-button {
    margin-right: 2px;
  }
  .pp-multi-select-box .dx-tag-remove-button::after,
  .pp-multi-select-box .dx-tag-remove-button::before {
    background: #fff;
  }
  dx-tag-box.pp-multi-select-box.dx-texteditor.dx-editor-outlined {
    border: 1px solid #d2d4d4;
    border-radius: 0px;
    transition: all 0.2s linear;
  }
  dx-tag-box.pp-multi-select-box.dx-texteditor.dx-state-hover.dx-editor-outlined {
    border-color: #1B60E5;
  }
  dx-tag-box.pp-multi-select-box.dx-state-disabled.dx-widget {
    opacity: 1;
    background-color: #f2f2f2;
  }
  dx-tag-box.pp-multi-select-box.dx-texteditor.dx-state-focused.dx-editor-outlined {
    box-shadow: 0px 0px 4px #d2d4d4;
    border-color: #d2d4d4;
  }
  .pp-multi-select-box .dx-item.dx-list-item.dx-list-item-selected,
  .pp-multi-select-box
    .dx-item.dx-list-item.dx-list-item-selected.dx-state-hover,
  .pp-multi-select-box .dx-item.dx-list-item.dx-list-item-active,
  .pp-multi-select-box .dx-item.dx-list-item.dx-state-active,
  .pp-multi-select-box .dx-item.dx-list-item.dx-state-hover {
    background-color: #e9f1ff !important;
    color: #3f4444 !important;
    text-shadow: 0 0 0.9px #3f4444, 0 0 0.9px #3f4444, 0 0 0.9px #3f4444;
  }

  .pp-multi-select-box .dx-popup-wrapper > .dx-overlay-content {
    border-radius: 0;
  }
  .pp-multi-select-box .dx-tag-content {
    transition: all 0.2s linear;
  }
  .pp-multi-select-box .dx-tag-content::before, .pp-multi-select-box .dx-item-content.dx-list-item-content::before {
    content: "";
  }

  .pp-multi-select-box .dx-tag-content:hover {
    background-color: #0044c7;
    text-shadow: 0 0 0.9px #fff, 0 0 0.9px #fff, 0 0 0.9px #fff;
  }


dx-date-box.pp-date-box {
    height: 32px;
  }
  dx-date-box.pp-date-box.dx-texteditor.dx-editor-outlined {
    border: 1px solid #d2d4d4;
    border-radius: 0;
  }
  dx-date-box.pp-date-box .dx-texteditor-input {
    padding-top: 0;
  }
  dx-date-box.pp-date-box.dx-texteditor.dx-state-hover {
    border: 1px solid #1B60E5;
  }
  .dx-datebox-calendar.pp-date-box .dx-dropdowneditor-icon::before {
    color: #1B60E5;
  }

  .dx-datebox-wrapper.dx-datebox-wrapper-date.dx-datebox-wrapper-calendar
    .dx-button-text {
    color: #1B60E5;
  }
  .dx-datebox-wrapper.dx-datebox-wrapper-date.dx-datebox-wrapper-calendar
    .dx-calendar-navigator-previous-month.dx-button
    .dx-icon,
  .dx-calendar-navigator-previous-view.dx-button .dx-icon {
    color: #1B60E5;
  }
  .dx-datebox-wrapper.dx-datebox-wrapper-date.dx-datebox-wrapper-calendar
    .dx-calendar-navigator-next-month.dx-button
    .dx-icon,
  .dx-calendar-navigator-next-view.dx-button .dx-icon {
    color: #1B60E5;
  }
  .dx-datebox-wrapper.dx-datebox-wrapper-date.dx-datebox-wrapper-calendar
    .dx-calendar-cell.dx-calendar-selected-date.dx-calendar-contoured-date,
  .dx-calendar-cell.dx-calendar-selected-date.dx-calendar-today.dx-calendar-contoured-date {
    box-shadow: inset 0 0 0 1px #0044C7, inset 0 0 0 1000px #1B60E5;
  }
  .dx-datebox-wrapper.dx-datebox-wrapper-date.dx-datebox-wrapper-calendar
    .dx-calendar-cell.dx-state-hover {
    box-shadow: inset 0 -1px 0 1000px #E9F1FF;
  }

  .dx-datebox-wrapper.dx-datebox-wrapper-date.dx-datebox-wrapper-calendar.dx-popup-wrapper
    > .dx-overlay-content {
    border-radius: 0;
  }

.pp-icon-background {
    width: 40px;
    height: 40px;
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: 4px;
    transition: all 0.2s linear;
  }

  .pp-icon-background:hover:not([disabled]) {
    background-color: rgba(233, 234, 234, 1);
  }

  .pp-icon-background:hover:not([disabled]) fa-icon.pp-icon {
    color: rgba(63, 68, 68, 1);
  }

  .pp-icon-background:focus:not([disabled]) {
    border: 1px solid rgba(27, 96, 229, 1);
    box-shadow: 0px 0px 4px 0px rgba(27, 96, 229, 0.5);
  }

  .pp-icon-background:active:not([disabled]){
    background-color: rgba(233, 241, 255, 1);
  }

  .pp-icon-background:active:not([disabled]) fa-icon.pp-icon{
    color: rgba(0, 68, 199, 1);
  }

  fa-icon.pp-icon {
    font-size: 24px;
    color: rgba(99, 103, 103, 1);
  }

  fa-icon[ng-reflect-icon^="fad"].pp-icon {
    --fa-secondary-color: transparent;
    --fa-secondary-opacity: 1;
    font-size: 40px;
    --fa-primary-color: rgba(99, 103, 103, 1);
    transition: all 0.2s linear;
  }

  fa-icon[ng-reflect-icon^="fad"].pp-icon:hover {
    --fa-secondary-color: rgba(233, 234, 234, 1);
    --fa-secondary-opacity: 1;
    --fa-primary-color: rgba(63, 68, 68, 1);
  }

  .dx-tooltip-wrapper.pp-tooltip div[role="tooltip"] {
    min-height: auto;
    border: none;
  }

  .dx-tooltip-wrapper.pp-tooltip div[role="tooltip"] .dx-popover-arrow::after {
    background-color: rgba(63, 68, 68, 1);
    border: none;
  }

  .dx-tooltip-wrapper.pp-tooltip div[role="tooltip"] .dx-popup-content {
    font-size: 12px;
    padding: 4px 8px;
    font-weight: 600;
    color: #fff;
    font-family: Open Sans;
    background-color: rgba(63, 68, 68, 1);
    border-radius: 4px;
    text-align: left;
    max-width: 248px;
    word-wrap: break-word;
    white-space: normal;
  }

  .dx-popover-wrapper.dx-position-bottom .dx-popover-arrow::after {
    bottom: -5px;
  }

  .pp-icon-background[disabled] fa-icon.pp-icon{
    color: rgba(210, 212, 212, 1);
  }

a {
  color: #1b60e5;
  font-weight: 600;
  font-family: "Open Sans";
  transition: color 0.2s linear;
}
a:hover {
  color: #0044c7;
}
*::selection {
  background-color: #f6be00;
}
* {
  box-sizing: border-box;
}
h1{
  font-family: Montserrat;
  font-weight: 600;
  font-size: 24px;
  letter-spacing: 0.0025em;
  color: #3F4444;
  margin: 0;
}
h2{
  font-family: Montserrat;
  font-weight: 600;
  font-size: 18px;
  letter-spacing: 0.0015em;
  color: #3F4444;
  margin: 0;
}
h3{
  font-family: Montserrat;
  font-weight: 600;
  font-size: 16px;
  letter-spacing: 0.0015em;
  color: #3F4444;
}
.body1{
  font-size: 14px;
  font-family: 'Open Sans';
  letter-spacing: 0.0015em;
  color: #3F4444;
}
.body2{
  font-size: 12px;
  font-family: 'Open Sans';
  letter-spacing: 0.0025em;
  color: #3F4444;
}
.mini{
  font-size: 10px;
  font-weight: 600;
  font-family: 'Open Sans';
  letter-spacing: 0.05em;
  color: #3F4444;
}
.sub-title{
  font-size: 14px;
  font-weight: 600;
  font-family: 'Open Sans';
  letter-spacing: 0.015em;
  color: #3F4444;
}

.pp-data-table .dx-datagrid-content
  .dx-datagrid-table
  .dx-row
  .dx-editor-cell
  .dx-texteditor,.pp-data-table
.dx-datagrid-content
  .dx-datagrid-table
  .dx-row
  .dx-editor-cell
  .dx-texteditor-container {
  max-height: 31px;
}

.pp-data-table .dx-datagrid-table
    .dx-data-row.dx-state-hover:not(.dx-selection):not(.dx-row-inserted):not(.dx-row-removed):not(.dx-edit-row):not(.dx-row-focused)
    > td:not(.dx-focused) {
    background-color: var(--PalestBlue);
    color: var(--PP_DarkGray);
  }

  .pp-data-table .dx-datagrid-rowsview .dx-selection.dx-row:not(.dx-row-focused) > td,
  .pp-data-table .dx-datagrid-rowsview .dx-selection.dx-row:not(.dx-row-focused) > tr > td,
  .pp-data-table .dx-datagrid-rowsview .dx-selection.dx-row:not(.dx-row-focused):hover > td,
  .pp-data-table .dx-datagrid-rowsview
    .dx-selection.dx-row:not(.dx-row-focused):hover
    > tr
    > td {
    background-color: var(--PalestBlue);
    color: var(--PP_DarkGray);
  }
  .pp-data-table .dx-datagrid-checkbox-size.dx-checkbox-indeterminate .dx-checkbox-icon::before{
    width: 10px;
    background-color: #fff;
    border-radius: 0;
    height: 2px;
    content: "";
    margin: auto;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
  }

  .pp-pivot-table .dx-area-description-cell {
    border-bottom: 1px solid var(--Gray3);
    background: #fff;
  }
  .pp-pivot-table .dx-area-column {
    border-bottom: none !important;
  }
  .pp-pivot-table table.dx-word-wrap {
    border: 1px solid var(--Gray3);
  }
  .pp-pivot-table .dx-pivotgrid-horizontal-headers {
    background-color: var(--PP_LightGray);
  }
  .pp-pivot-table .dx-pivotgrid-vertical-headers {
    background-color: var(--PP_LightGray);
  }
  .pp-pivot-table .dx-pivotgrid-vertical-headers .dx-row-total.dx-grandtotal {
    background-color: var(--Gray3);
  }
  .pp-pivot-table .dx-area-column-cell .dx-row-total.dx-grandtotal {
    background-color: var(--Gray3);
  }
  .pp-pivot-table .dx-expand-icon-container {
    margin-right: 5px;
  }
  .pp-pivot-table .dx-expand-icon-container .dx-expand {
    color: var(--Gray6);
    font-size: 22px;
  }

.m-0{
  margin: 0;
}
.mt-0{
  margin-top: 0;
}
.ml-0{
  margin-left: 0;
}
.mr-0{
  margin-right: 0;
}
.mb-0{
  margin-bottom: 0;
}

.m-1{
  margin: 8px;
}
.mt-1{
  margin-top: 8px;
}
.ml-1{
  margin-left: 8px;
}
.mr-1{
  margin-right: 8px;
}
.mb-1{
  margin-bottom: 8px;
}

.m-2{
  margin: 16px;
}
.mt-2{
  margin-top: 16px;
}
.ml-2{
  margin-left: 16px;
}
.mr-2{
  margin-right: 16px;
}
.mb-2{
  margin-bottom: 16px;
}

.m-3{
  margin: 24px;
}
.mt-3{
  margin-top: 24px;
}
.ml-3{
  margin-left: 24px;
}
.mr-3{
  margin-right: 24px;
}
.mb-3{
  margin-bottom: 24px;
}

.m-4{
  margin: 32px;
}
.mt-4{
  margin-top: 32px;
}
.ml-4{
  margin-left: 32px;
}
.mr-4{
  margin-right: 32px;
}
.mb-4{
  margin-bottom: 32px;
}

.m-5{
  margin: 40px;
}
.mt-5{
  margin-top: 40px;
}
.ml-5{
  margin-left: 40px;
}
.mr-5{
  margin-right: 40px;
}
.mb-5{
  margin-bottom: 40px;
}



.p-0{
  padding: 0;
}
.pt-0{
  padding-top: 0;
}
.pl-0{
  padding-left: 0;
}
.pr-0{
  padding-right: 0;
}
.pb-0{
  padding-bottom: 0;
}

.p-1{
  padding: 8px;
}
.pt-1{
  padding-top: 8px;
}
.pl-1{
  padding-left: 8px;
}
.pr-1{
  padding-right: 8px;
}
.pb-1{
  padding-bottom: 8px;
}

.p-2{
  padding: 16px;
}
.pt-2{
  padding-top: 16px;
}
.pl-2{
  padding-left: 16px;
}
.pr-2{
  padding-right: 16px;
}
.pb-2{
  padding-bottom: 16px;
}

.p-3{
  padding: 24px;
}
.pt-3{
  padding-top: 24px;
}
.pl-3{
  padding-left: 24px;
}
.pr-3{
  padding-right: 24px;
}
.pb-3{
  padding-bottom: 24px;
}

.p-4{
  padding: 32px;
}
.pt-4{
  padding-top: 32px;
}
.pl-4{
  padding-left: 32px;
}
.pr-4{
  padding-right: 32px;
}
.pb-4{
  padding-bottom: 32px;
}

.p-5{
  padding: 40px;
}
.pt-5{
  padding-top: 40px;
}
.pl-5{
  padding-left: 40px;
}
.pr-5{
  padding-right: 40px;
}
.pb-5{
  padding-bottom: 40px;
}






dx-tabs.pp-tabs .dx-tabs-wrapper{
  display: flex;
  height: 48px;
  width: 100%;
}

dx-tabs.pp-tabs .dx-tab{
      padding: 0;
      display: flex;
      align-items: center;
      justify-content: center;
      flex-grow: 1;
      background-color: #eae9e9;
      border-right: 1px solid #aeaeb6;
      border-bottom: 1px solid #aeaeb6;
      color: #636767;
      font-weight: 600;
      font-size: 18px;
      cursor: pointer;
}

dx-tabs.pp-tabs .dx-tab.dx-tab-selected{
  background-color: #fff;
  border-bottom: 2px solid #1b60e5;
}

dx-tabs.pp-tabs .dx-tab.dx-state-focused::after{
border: none;
}
